
	;	print segment headers
header_1,
	xcall s_bld (work,,'%a - %a',
	&	sas_data(smca_keystr[1]:smca_keylen[1]),seg_descr[1])
	work_len = %trim(work)
	pline(1:work_len) = work
	if (kfields[2])
	 then call print
	 else return
header_2,
	xcall s_bld (work,,'%a - %a',
	&	sas_data(smca_keystr[2]:smca_keylen[2]),seg_descr[2])
	work_len = %trim(work)
	pline(13:work_len) = work
	if (kfields[3])
	 then call print
	 else return
header_3,
	xcall s_bld (work,,'%a - %a',
	&	sas_data(smca_keystr[3]:smca_keylen[3]),seg_descr[3])
	work_len = %trim(work)
	pline(25:work_len) = work
	if (kfields[4])
	 then call print
	 else return
header_4,
	xcall s_bld (work,,'%a - %a',
	&	sas_data(smca_keystr[4]:smca_keylen[4]),seg_descr[4])
	pline(37:smca_keylen(4)) = work
	if (kfields[5])
	 then call print
	 else return
header_5,
	xcall s_bld (work,,'%a - %a',
	&	sas_data(smca_keystr[5]:smca_keylen[5]),seg_descr[5])
	pline(49:smca_keylen[5]) = work
	if (kfields[6])
	 then call print
	 else return
header_6,
	xcall s_bld (work,,'%a - %a',
	&	sas_data(smca_keystr[6]:smca_keylen[6]),seg_descr[6])
	pline(61:smca_keylen[6]) = work
	return

